MKFS.CRAMFS(8)

NOM
mkfs.cramfs - Créer un système de fichiers compressé en lecture seule

SYNOPSIS

mkfs.cramfs [options] répertoire fichier

DESCRIPTION

Les fichiers sur systèmes de fichiers cramfs sont compressés avec zlib une page à la fois pour permettre l’accès en lecture aléatoire. Les métadonnées ne sont pas compressées mais sont exprimées en représentation abrégée qui prend moins de place que celle des systèmes de fichiers conventionnels.

Le système de fichiers est intentionnellement en lecture seule pour simplifier sa conception ; l’accès en lecture aléatoire pour les fichiers compressés est difficile à implémenter. cramfs embarque un utilitaire (mkcramfs(8)) pour empaqueter les fichiers dans de nouvelles images cramfs.

La taille des fichiers est limitée à moins de 16 Mo.

La taille maximale du système de fichiers est un peu inférieure à 272 Mo (le dernier fichier sur le système de fichiers doit commencer avant le bloc de 256 Mo, mais peut continuer au-delà).

ARGUMENTS

Le répertoire est simplement la racine de l’arborescence utilisée pour générer un système de fichiers compressé.

Le fichier contiendra le système de fichiers cramfs qui pourra ensuite être monté.

OPTIONS

-v
    Activer le mode verbeux.

-E
    Traiter tous les avertissements comme des erreurs indiquées par le code de retour de la commande.

-b taillebloc
    Utiliser la taille de bloc définie, qui doit être divisible par la taille de page.

-e édition
    Utiliser le numéro d’édition de système de fichiers défini dans le superbloc.

-N big|little|host
    Use the specified endianness. The default is host.

-i fichier
    Insérer un fichier dans un système de fichiers cramfs.

-n nom
    Définir le nom du système de fichiers cramfs.

-p
    Remplir à 512 octets pour le code d’amorçage.

-s
    Cette option est ignorée. À l’origine, -s activait le tri des entrées de répertoire.

-z
    Créer explicitement des trous.

-l[=mode]
    Use an exclusive BSD lock for the device or file that is operated upon. The optional argument mode can be yes (1), no (0), or nonblock. If the mode argument is omitted, it defaults to yes. This option overrides the environment variable $LOCK_BLOCK_DEVICE. The default is to not use any lock at all, but using a lock is recommended to avoid collisions with systemd-udevd(8) or other tools.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher la version et quitter.

CODE DE RETOUR

0
    Succès.

8
    Erreur d’opération, comme un échec d’allocation mémoire.

VOIR AUSSI

fsck.cramfs(8), mount(8)

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le

DISPONIBILITÉ

La commande mkfs.cramfs fait partie du paquet util-linux, elle est disponible sur